var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export class CameraPermissions {
    static hasPermissions() {
        return __awaiter(this, void 0, void 0, function* () {
            if (yield CameraPermissions.verifyViaPermissionsQuery()) {
                return true;
            }
            let devices = yield navigator.mediaDevices.enumerateDevices();
            console.log("devices", devices);
            for (const device of devices) {
                if (device.kind === "videoinput" && device.label) {
                    return true;
                }
            }
            return false;
        });
    }
    static verifyViaPermissionsQuery() {
        return __awaiter(this, void 0, void 0, function* () {
            if (navigator.permissions) {
                try {
                    let permissionDescriptor = { name: "camera" };
                    let result = yield navigator.permissions.query(permissionDescriptor);
                    return result.state === "granted";
                }
                catch (_) {
                    return false;
                }
            }
            return false;
        });
    }
}
//# sourceMappingURL=permissions.js.map